Jump to content
  • 0

Question

I try to play ETS 2 Multiplayer, it says I got wrong version I have to get new one. I go to the TruckersMP site that I was dircted, and when I download that version, ITS THE OLD VERSION!!!! HOW CAN i GET THE NEWER ONE, IF i DONT HAVE A LINK TO DO SO?

Share this post


Link to post
Share on other sites

2 answers to this question

Recommended Posts

  • 0

Hello, :)

 

1.25 is not support for a multiplayer.

Multiplayer version support for a 1.24x version.

 

1-) First open Steam,

2-) Go To Library and Games,

3-) Right click on " Euro Truck Simulator 2 " and click " Properties " when the windows has open click " BETAS " Choose temporary_1_24 - 1.24x  for incompatible mods.

 

 

Hope this helps :)

Regards

Edited by ismail

Share this post


Link to post
Share on other sites
Guest
This topic is now closed to further replies.

×
×
  • Create New...